Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Author Message
LatOffline
Post subject: to install or not to install ... hal  PostPosted: 19.06.2011, 04:17



Joined: 2010-09-19
Posts: 165

Status: Offline
I'm confused with the hal,gimp,k3b deal

Is hal supposed to be installed or not, if so, what packages should be [not]?
      Code:
 dpkg -l|grep -e hal -e udisk -e upower -e polkit-kde-1
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
ii  hal                                        0.5.14-6                         Hardware Abstraction Layer
ii  hal-info                                   20091130-1                       Hardware Abstraction Layer - fdi files
ii  libhal-storage1                            0.5.14-6                         Hardware Abstraction Layer - shared library for storage devices
ii  libhal1                                    0.5.14-6                         Hardware Abstraction Layer - shared library
ii  libkephal4                                 4:4.4.5-9                        API for easier handling of multihead systems
ii  libkephal4abi1                             4:4.6.3-1                        API for easier handling of multihead systems
ii  libupower-glib1                            0.9.11-1+b1                      abstraction for power management - shared library
ii  polkit-kde-1                               0.99.0-2                         KDE dialogs for PolicyKit
ii  udisks                                     1.0.2-4                          storage media interface
ii  upower                                     0.9.11-1+b1                      abstraction for power management
 
 View user's profile Send private message  
Reply with quote Back to top
piperOffline
Post subject: RE: to install or not to install ... hal  PostPosted: 19.06.2011, 04:49
Moderator


Joined: 2010-09-11
Posts: 480
Location: cheektowaga, ny
Status: Offline
I would say no, HAL, is pretty much deprecated and the team we correct me if wrong Wink

      Code:
piper@x1:~$ dpkg -l|grep -e hal -e udisk -e upower -e polkit-kde-1
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
ii  libkephal4abi1                             4:4.6.3-1                         API for easier handling of multihead systems
ii  libupower-glib1                            0.9.11-1+b1                       abstraction for power management - shared library
ii  udisks                                     1.0.2-4                           storage media interface
ii  upower                                     0.9.11-1+b1                       abstraction for power management


I still have to install polkit (brand new install)
 
 View user's profile Send private message  
Reply with quote Back to top
LatOffline
Post subject: RE: to install or not to install ... hal  PostPosted: 19.06.2011, 05:00



Joined: 2010-09-19
Posts: 165

Status: Offline
If that's a new install then it seems I'd have to run:
      Code:
 aptr --purge -s hal hal-info libhal-storage1 libhal1 libkephal4 -s
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
  hal* hal-info* hwinfo* libhal-storage1* libhal1* libhd16* libk3b3* libk3b3-extracodecs* libkephal4* libtaskmanager4a*
0 upgraded, 0 newly installed, 10 to remove and 19 not upgraded.
Purg hal [0.5.14-6]
Purg hal-info [20091130-1]
Purg hwinfo [16.0-2]
Purg libhal-storage1 [0.5.14-6]
Purg libk3b3-extracodecs [1.0.5-3+b1]
Purg libk3b3 [1.0.5-3+b1]
Purg libhd16 [16.0-2]
Purg libhal1 [0.5.14-6]
Purg libtaskmanager4a [4:4.4.5-9]
Purg libkephal4 [4:4.4.5-9]
 
 View user's profile Send private message  
Reply with quote Back to top
piperOffline
Post subject: RE: to install or not to install ... hal  PostPosted: 19.06.2011, 05:39
Moderator


Joined: 2010-09-11
Posts: 480
Location: cheektowaga, ny
Status: Offline
If your running plasma-widget-daisy you will lose it by purging libtaskmanager4a. (dep)

You will also lose kde4-windeco-nitrogen because of libtaskmanager4a

I miss daisy Sad

_________________
debian sid | apt-get into it
 
 View user's profile Send private message  
Reply with quote Back to top
spacepenguinOffline
Post subject: RE: to install or not to install ... hal  PostPosted: 05.07.2011, 10:19



Joined: 2010-09-11
Posts: 98
Location: Germany
Status: Offline
Install libtaskmanager4abi1 and or libtaskmanager4b instead of libtaskmanager4a. No need to give up daisy.

_________________
Susan | Hardware: SysProfile | 32bit
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
piperOffline
Post subject: RE: to install or not to install ... hal  PostPosted: 05.07.2011, 17:42
Moderator


Joined: 2010-09-11
Posts: 480
Location: cheektowaga, ny
Status: Offline
Plasma-widget-daisy was spitting out dependency errors that it needed libtaskmanager4a at the time and wouldn't install

Ended up making my own deb Smile

_________________
debian sid | apt-get into it
 
 View user's profile Send private message  
Reply with quote Back to top
spacepenguinOffline
Post subject: RE: to install or not to install ... hal  PostPosted: 08.07.2011, 13:17



Joined: 2010-09-11
Posts: 98
Location: Germany
Status: Offline
So did I. It's a pity there's no repo anymore that contains such goodies. I miss Xadras' repo...

_________________
Susan | Hardware: SysProfile | 32bit
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
piperOffline
Post subject: Re: RE: to install or not to install ... hal  PostPosted: 08.07.2011, 13:46
Moderator


Joined: 2010-09-11
Posts: 480
Location: cheektowaga, ny
Status: Offline
      spacepenguin wrote:
I miss Xadras' repo...


I do too Wink
 
 View user's profile Send private message  
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT - 12 Hours
Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Powered by Zafenio